import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'aj_captcha_flutter_platform_interface.dart';

/// An implementation of [AjCaptchaFlutterPlatform] that uses method channels.
class MethodChannelAjCaptchaFlutter extends AjCaptchaFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('aj_captcha_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
