import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'aj_captcha_flutter_method_channel.dart';

abstract class AjCaptchaFlutterPlatform extends PlatformInterface {
  /// Constructs a AjCaptchaFlutterPlatform.
  AjCaptchaFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static AjCaptchaFlutterPlatform _instance = MethodChannelAjCaptchaFlutter();

  /// The default instance of [AjCaptchaFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelAjCaptchaFlutter].
  static AjCaptchaFlutterPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AjCaptchaFlutterPlatform] when
  /// they register themselves.
  static set instance(AjCaptchaFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
